const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const Match = sequelize.define('Match', {
  team1: { type: DataTypes.STRING, allowNull: false },
  team2: { type: DataTypes.STRING, allowNull: false },
  score1: { type: DataTypes.INTEGER, allowNull: false },
  score2: { type: DataTypes.INTEGER, allowNull: false },
  winner: { type: DataTypes.STRING, allowNull: false },
  pool: { type: DataTypes.STRING, allowNull: false } // A or B
});

module.exports = Match;
