const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const Team = sequelize.define('Team', {
  name: { type: DataTypes.STRING, allowNull: false },
  pool: { type: DataTypes.STRING, allowNull: false },
  gamesPlayed: { type: DataTypes.INTEGER, defaultValue: 0 },
  gamesWon: { type: DataTypes.INTEGER, defaultValue: 0 },
  gamesLost: { type: DataTypes.INTEGER, defaultValue: 0 },
  points: { type: DataTypes.INTEGER, defaultValue: 0 },
  scoreDifference: { type: DataTypes.INTEGER, defaultValue: 0 }  // New field for score difference
});

module.exports = Team;
